io.agora.rtc

## Class DefaultRtmpStreamingObserver

- java.lang.Object
- - io.agora.rtc.DefaultRtmpStreamingObserver

- All Implemented Interfaces:
    IRtmpStreamingObserver

      public class DefaultRtmpStreamingObserver
      extends java.lang.Object
      implements IRtmpStreamingObserver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRtmpStreamingObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRtmpStreamingStateChanged(AgoraRtmpStreamingService agora_rtmp_streaming_service, java.lang.String url, int state, int err_code)`
    `void` | `onStreamPublished(AgoraRtmpStreamingService agora_rtmp_streaming_service, java.lang.String url, int error)`
    `void` | `onStreamUnpublished(AgoraRtmpStreamingService agora_rtmp_streaming_service, java.lang.String url)`
    `void` | `onTranscodingUpdated(AgoraRtmpStreamingService agora_rtmp_streaming_service)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRtmpStreamingObserver

          public DefaultRtmpStreamingObserver()

  - ### Method Detail

    - #### onRtmpStreamingStateChanged

          public void onRtmpStreamingStateChanged(AgoraRtmpStreamingService agora_rtmp_streaming_service,
                                                  java.lang.String url,
                                                  int state,
                                                  int err_code)

      Specified by:
        `onRtmpStreamingStateChanged` in interface `IRtmpStreamingObserver`

    - #### onStreamPublished

          public void onStreamPublished(AgoraRtmpStreamingService agora_rtmp_streaming_service,
                                        java.lang.String url,
                                        int error)

      Specified by:
        `onStreamPublished` in interface `IRtmpStreamingObserver`

    - #### onStreamUnpublished

          public void onStreamUnpublished(AgoraRtmpStreamingService agora_rtmp_streaming_service,
                                          java.lang.String url)

      Specified by:
        `onStreamUnpublished` in interface `IRtmpStreamingObserver`

    - #### onTranscodingUpdated

          public void onTranscodingUpdated(AgoraRtmpStreamingService agora_rtmp_streaming_service)

      Specified by:
        `onTranscodingUpdated` in interface `IRtmpStreamingObserver`